﻿<%@ Page Language="C#" MasterPageFile="~/Views/Shared/Site.Master" Inherits="System.Web.Mvc.ViewPage" %>

<asp:Content ID="indexTitle" ContentPlaceHolderID="TitleContent" runat="server">
    Home
</asp:Content>
<asp:Content ID="indexContent" ContentPlaceHolderID="MainContent" runat="server">
    <h2>
        LegacyRouting</h2>
    <p>
        Imagine an ASP.NET application containing the page "YourPage.aspx".<br />
        Now you want to redirect request to that legacy URL to the new MVC Action: "Home/YourPage".
    </p>
    <p>
        You can access "Home/NewPage" in two ways:
        <ul>
            <li>By ActionLink:
                <%= Html.ActionLink("Home/YourPage", "YourPage", "Home")%></li>
            </li>
            <li>By legacy link <a href="<%= ResolveUrl("~/YourPage.aspx") %>">YourPage.aspx</a></li>
            </li>
        </ul>
    </p>
</asp:Content>
